%global srcname breathe

Summary:       Adds support for Doxygen xml output to reStructuredText and Sphinx
Name:          python-%{srcname}
Version:       4.35.0
Release:       2%{?dist}
License:       BSD
URL:           https://github.com/michaeljones/%{srcname}
Source0:       %{URL}/archive/v%{version}.tar.gz #/%{srcname}-%{version}.tar.gz


BuildRequires: doxygen git make gnupg2 python%{python3_pkgversion}-devel %{py3_dist docutils}
BuildRequires: python%{python3_pkgversion}-setuptools %{py3_dist six} %{py3_dist Sphinx}
BuildRequires: %{py3_dist Jinja2} %{py3_dist MarkupSafe} %{py3_dist Pygments} %{py3_dist pytest}

BuildArch:     noarch

%description
Breathe is an extension to reStructuredText and Sphinx to be able to read and render the Doxygen xml output.

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        Adds support for Doxygen xml output to reStructuredText and Sphinx
Requires:       python%{python3_pkgversion}-six doxygen

%description -n python%{python3_pkgversion}-%{srcname}
Breathe is an extension to reStructuredText and Sphinx to be able to read and render the Doxygen xml output.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%make_build dev-test

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{_bindir}/breathe-apidoc
%{python3_sitelib}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.35.0-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 rockerzhu <rockerzhu@tencent.com> - 4.35.0-1
- Upgrade to 4.35.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.34.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.34.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.34.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.34.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 Shuo Wang <abushwang@tencent.com> - 4.34.0-1
- initial build
